SVNKit Home

## org.tmatesoft.svn.core.wc
Class DefaultSVNCommitParameters

    java.lang.Object
      org.tmatesoft.svn.core.wc.DefaultSVNCommitParameters

All Implemented Interfaces:
  ISVNCommitParameters

public class DefaultSVNCommitParameters
extends Object
implements ISVNCommitParameters

DefaultSVNCommitParameters is the default commit parameters implementation.

Version:
  1.1.1
Author:
  TMate Software Ltd.

Nested Class Summary

Nested classes inherited from class org.tmatesoft.svn.core.wc.ISVNCommitParameters
`ISVNCommitParameters.Action`

Field Summary

Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNCommitParameters
`DELETE, ERROR, SKIP`

Constructor Summary
`DefaultSVNCommitParameters()`

Method Summary
`boolean` `onDirectoryDeletion(File directory)`
`boolean` `onFileDeletion(File directory)`
`ISVNCommitParameters.Action` `onMissingDirectory(File file)` Says a committer to abort the operation.
`ISVNCommitParameters.Action` `onMissingFile(File file)` Says a committer to skip a missing file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSVNCommitParameters

    public DefaultSVNCommitParameters()

Method Detail

### onMissingFile

    public ISVNCommitParameters.Action onMissingFile(File file)

  Says a committer to skip a missing file.

  Specified by:
    `onMissingFile` in interface `ISVNCommitParameters`
  Parameters:
    `file` - a missing file
  Returns:
    `SKIP`

### onMissingDirectory

    public ISVNCommitParameters.Action onMissingDirectory(File file)

  Says a committer to abort the operation.

  Specified by:
    `onMissingDirectory` in interface `ISVNCommitParameters`
  Parameters:
    `file` - a missing directory
  Returns:
    `ERROR`

### onDirectoryDeletion

    public boolean onDirectoryDeletion(File directory)

  Specified by:
    `onDirectoryDeletion` in interface `ISVNCommitParameters`
  Returns:
    true if directory should be deleted after commit.

### onFileDeletion

    public boolean onFileDeletion(File directory)

  Specified by:
    `onFileDeletion` in interface `ISVNCommitParameters`
  Returns:
    true if file should be deleted after commit.

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.